Support and Documentation

Upgrading your version of Brightspot

To upgrade your Brightspot version, include the release number in the <parent> element of the Maven pom.xml, for example:

<parent>
    <groupId>com.psddev</groupId>
    <artifactId>brightspot-parent</artifactId>
    <version>3.3.22</version>
</parent>

For any Brightspot-related dependencies, you do not have to specify the version numbers, for example:

<dependencies>

    <dependency>
        <groupId>com.psddev</groupId>
        <artifactId>cms-db</artifactId>
    </dependency>

    <dependency>
        <groupId>com.psddev</groupId>
        <artifactId>cms-hunspell</artifactId>
    </dependency>

<dependencies>

The <parent> will include a bill of materials POM that defines all the component versions for the specified Brightspot release.